[![Inline docs](http://inch-ci.org/github/msimkins/mina-serverbuild.svg?branch=master)](http://inch-ci.org/github/msimkins/mina-serverbuild)

# Mina::Serverbuild

This is a set of Mina TASKS that can help you provision a Rails Server 

## Installation

Add this line to your application's Gemfile:

    gem 'mina-serverbuild'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mina-serverbuild

## Usage

In your config/deploy.rb file, please add the following line

    require 'mina/serverbuild'
    
This will add a set of tasks, allowing installation of various 'standard' packages to build a server

You should now be able to run

    mina serverbuild:part1
    mina serverbuild:part2
    
to give you a server ready for deployment

You can add the following variables to your deploy.rb file to customise the installation, the default values
are currently for an Ubuntu 14.04 installation

    set :deployment_platform, "ubuntu"
    set :platform_codename, "trusty"
    set :database_server, "postgresql"
    set :web_server, "nginx"
    set :ruby_manager, "rbenv"
    set :ruby_version, "2.1.2"
 
* deployment_platform
    * ubuntu
        * platform_codename 
        Supported platforms are 12.04 (precise), and 14.04 (trusty)
    * redhat (work in progress)   

* ruby_manager
    * rbenv
    * rvm (work in progress)
    
* web_server
    * nginx
    * apache
    

## Contributing

1. Fork it ( https://github.com/msimkins/mina-serverbuild/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
